<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/TR/WD-xsl">

<xsl:template match="/">
<link rel="stylesheet" type="text/css" href="stylesheets/versandhandel.css"/>
<HTML>
<HEAD>
	<TITLE>
		<xsl:value-of select="XmlSeite/Titel/Text"/>
	</TITLE>
</HEAD>
<BODY>
	<DIV CLASS="Zentriert">
	<TABLE WIDTH="100%">
	<TR CLASS="Kopfzeile">
		<TD CLASS="Kopfzeile"><A HREF="index.xml">Home</A></TD>
		<TD CLASS="Kopfzeile"><A HREF="produkte.xml">Produkte</A></TD>
		<TD CLASS="Kopfzeile"><A HREF="bestellung.xml">Bestellung</A></TD>
		<TD CLASS="Kopfzeile"><A HREF="agb.xml">AGB</A></TD>
		<TD CLASS="Kopfzeile"><A HREF="kontakt.xml">Kontakt/Service</A></TD>
	</TR>
	</TABLE>
	</DIV>

	<xsl:for-each select="XmlSeite">
		<SPAN>
			<xsl:apply-templates/>
		</SPAN>    
	</xsl:for-each>

</BODY>
</HTML>
</xsl:template>

<xsl:template match="Titel">
<DIV CLASS="Titelueberschrift">
	<xsl:value-of select="Text"/>
</DIV>
<xsl:choose>
	<xsl:when match=".[Bild]">
		<DIV CLASS="Titelbild">
			<IMG>
				<xsl:attribute name="SRC">
					bilder/<xsl:value-of select="Bild/@name"/>
				</xsl:attribute>
			</IMG>
		</DIV>
	</xsl:when>
</xsl:choose>
</xsl:template>

<xsl:template match="Leistungen">
<DIV CLASS="Zentriert">
<TABLE WIDTH="100%">
<TR CLASS="liste">
<TD WIDTH="25%">
<DIV STYLE="text-align:left; padding:3pt">Leistungen:</DIV>
<UL>
	<xsl:for-each select="Leistung">
	<LI>
		<A>
		<xsl:attribute name="HREF">
			<xsl:value-of select="Link/@href"/>
		</xsl:attribute>
		<DIV CLASS="Liste"><xsl:value-of select="Link"/></DIV>
		</A>
	</LI>
	</xsl:for-each>
</UL>
</TD>
<TD WIDTH="75%">
	<DIV STYLE="text-align:center">
		<IMG SRC="bilder/start.jpg"/>
	</DIV>
</TD>
</TR>
</TABLE>
</DIV>
</xsl:template>

<xsl:template match="Produkte">
<DIV CLASS="Zentriert">
<TABLE WIDTH="100%">
<xsl:for-each select="Produkt">
	<TR>
	<TD CLASS="Liste" WIDTH="25%">
		<UL>
		<LI>
			<A>
				<xsl:attribute name="HREF">
					<xsl:value-of select="Link/@href"/>
				</xsl:attribute>
				<xsl:value-of select="Link"/>
			</A>
		</LI>
		</UL>
	</TD>
	<TD WIDTH="75%">
		<IMG ALIGN="absmiddle" HSPACE="10">
			<xsl:attribute name="SRC">
				bilder/<xsl:value-of select="Bild/@name"/>
			</xsl:attribute>
		</IMG>
		<xsl:value-of select="Text"/>
	</TD>
	</TR>
</xsl:for-each>
</TABLE>
</DIV>
</xsl:template>

<xsl:template match="Bestellseite">
<DIV CLASS="Zentriert">
<TABLE>
<FORM ACTION="mailto:Oliver.Litz@web.de?subject=XmlBestellung" METHOD="post" ENCTYPE="text/plain">
<TR>
	<TD STYLE="border:collapse">
		Vorname/Name:
	</TD>
	<TD STYLE="border:collapse">
		<INPUT TYPE="TEXT" NAME="Name" SIZE="60"/>
	</TD>
</TR>

<TR>
	<TD STYLE="border:collapse">
		Anschrift:
	</TD>
	<TD STYLE="border:collapse">
		<INPUT TYPE="TEXT" NAME="Anschrift" SIZE="60"/>
	</TD>
</TR>

<TR>
	<TD STYLE="border:collapse">
		Kundennummer:
	</TD>
	<TD STYLE="border:collapse">
		<INPUT TYPE="TEXT" NAME="Kundennummer" SIZE="60"/>
	</TD>
</TR>

<TR>
	<TD STYLE="border:collapse">
		E-Mail-Adresse:
	</TD>
	<TD STYLE="border:collapse">
		<INPUT TYPE="TEXT" NAME="EMail" SIZE="60"/>
	</TD>
</TR>

<TR>
	<TD STYLE="border:collapse">
		Bestellung:
	</TD>
	<TD STYLE="border:collapse">
		<TEXTAREA NAME="Bestellung" COLS="60" ROWS="6"></TEXTAREA>
	</TD>
</TR>

<TR>
	<TD STYLE="border:collapse">
		<INPUT TYPE="SUBMIT" Value="Bestellen!"/>
	</TD>
	<TD STYLE="border:collapse">
		<INPUT TYPE="Reset"/>
	</TD>
</TR>

</FORM>
</TABLE>
</DIV>
</xsl:template>

<xsl:template match="AGB">
<xsl:for-each select="Abschnitt">
	<DIV CLASS="Blockueberschrift">
		<xsl:value-of select="Nummer"/>. <xsl:value-of select="Ueberschrift"/>
	</DIV>
	<DIV CLASS="Block">
		<xsl:value-of select="Beschreibung"/>
	</DIV>
</xsl:for-each>
</xsl:template>

<xsl:template match="Kontakt">
<xsl:for-each select="Art">
	<DIV CLASS="Blockueberschrift">
		<IMG>
			<xsl:attribute name="SRC">
				bilder/<xsl:value-of select="Bild/@name"/>
			</xsl:attribute>
		</IMG>
		<xsl:value-of select="Typ"/>: <xsl:value-of select="Angabe"/>
	</DIV>
	<DIV CLASS="Block">
		<xsl:value-of select="Beschreibung"/>
	</DIV>
</xsl:for-each>
</xsl:template>

<xsl:template match="Versandhandel">
    <DIV CLASS="Zentriert">
    <TABLE>
      <TR>
      	<TH>Typ</TH>
      	<TH>Hersteller</TH>
      	<TH>Bezeichnung</TH>
      	<TH>Preis</TH>
      </TR>
      <xsl:for-each select="Produkt"  order-by="+ Typ; Hersteller; Bezeichnung">
      <TR>
        <TD><xsl:value-of select="Typ"/></TD>
        <TD><xsl:value-of select="Hersteller"/></TD>
        <TD><xsl:value-of select="Bezeichnung"/></TD>
        <xsl:choose>
        	<xsl:when match=".[Preis/@typ='Sonderpreis']">
        		<TD STYLE="color:red; text-align:right">
        			<xsl:value-of select="Preis"/>,- DM
        		</TD>
        	</xsl:when>
        	<xsl:otherwise>
        		<TD STYLE="text-align:right">
        			<xsl:value-of select="Preis"/>,- DM
        		</TD>
        	</xsl:otherwise>
        </xsl:choose>
      </TR>
	</xsl:for-each>
    </TABLE>
    </DIV>
</xsl:template>

</xsl:stylesheet>
